local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("Cutup", "Cutup")
if not Addon then return end

function Addon:Start()

	if Cutup and Cutup:IsActive() then
		if Cutup:IsModuleActive("Julienne") then
			Cutup.options.args.Julienne.args.lock.set(false)
		end
		if Cutup:IsModuleActive("TickToxin") then
			Cutup.options.args.TickToxin.args.anchor.func(true)
		end
	end
end

function Addon:Stop()

	if Cutup and Cutup:IsActive() then
		if Cutup:IsModuleActive("Julienne") then
			Cutup.options.args.Julienne.args.lock.set(true)
		end
		if Cutup:IsModuleActive("TickToxin") then
			Cutup.options.args.TickToxin.args.anchor.func(false)
		end
	end
end
