local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("FlexBar2", "FlexBar2")
if not Addon then return end

function Addon:Start()
    
    -- unlock all buttons; groups will stay grouped
	for k, v in pairs(FlexBar2.Buttons) do
		v:Unlock()
	end
end

function Addon:Stop()
    
    -- lock each button again
	for k, v in pairs(FlexBar2.Buttons) do
		v:Lock()
	end
end
