local NShakedown = NShakedown
local revision = tonumber(("$Revision: 63020 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-02-27 18:03:53 +1100 (Wed, 27 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("Recount", "Recount")
if not Addon then return end

local prevshow, prevlock
local function show(v)
	if v then
        Recount.MainWindow:Show()
	else
        Recount.MainWindow:Hide()
	end
end
function Addon:Start()
	-- show window
	prevshow = Recount.MainWindow:IsShown()
	show(true)

	-- unlock it
	prevlock = Recount.db.profile.Locked
	Recount:LockWindows(false)
end

function Addon:Stop()
	-- show state back to previous
	show(prevshow)

	-- lock state back to previous
	Recount:LockWindows(prevlock)
end
