local NShakedown = NShakedown
local revision = tonumber(("$Revision: 63020 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-02-27 18:03:53 +1100 (Wed, 27 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("SmoothDurability", "SmoothDurability")
if not Addon then return end

local Durability
local prevlocked, prevthres
function Addon:Start()
	local durabilityCoveringFrame = getglobal("durabilityCoveringFrame")
	if durabilityCoveringFrame then
		durabilityCoveringFrame:Hide()
	end

	Durability = LibStub("AceAddon-3.0"):GetAddon("SmoothDurability")

	prevlocked = Durability.db.profile.locked
	Durability.db.profile.locked = false
	prevthres = Durability.db.profile.averageThreshold
	Durability.db.profile.averageThreshold = 100

	Durability:Update()
end

function Addon:Stop()
	Durability.db.profile.locked = prevlocked
	Durability.db.profile.averageThreshold = prevthres

	Durability:Update()
end
